%define oname xfce4-session

# soname breaks, don't run libtoolize
%define __libtoolize    /bin/true

Summary: 	XFce Session manager.
Name: 		xfce-session
Version: 	0.1.4
Release: 	1mdk
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	%{oname}-%{version}.tar.bz2
Source1:	%{name}-readme.mdk
# don't use sudo, and use /usr/bin/shutdown instead of /sbin/shutdown
Patch0:		xfce-session-20031119-mdkshutdown.patch.bz2
Group: 		Graphical desktop/Other
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-mcs-manager >= 4.0.1
Requires:	usermode-consoleonly
BuildRequires:	xfce-mcs-manager-devel >= 4.0.1
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:  autoconf2.5

%description
XFce-session is the session manager for the XFce desktop environment.

It is still in development, and not stable yet. You should only install
this if you really want a session manager in XFce, and are feeling adventurous.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .sudo

cp %SOURCE1 $RPM_BUILD_DIR/%{oname}-%{version}/README.MDK

# remove xftaskbar4 from default session
perl -pi -e 's/xftaskbar4/#xftaskbar4/g' defaults/default.session

WANT_AUTOCONF_2_5=1 autoconf

%build
%configure2_5x --sysconfdir=%{_sysconfdir}/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove devel file
rm $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/session_settings.a
# remove unneeded xinitrc script
rm $RPM_BUILD_ROOT%{_sysconfdir}/X11/xfce4/xinitrc.xfce4-session

%find_lang %oname

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %oname.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog ChangeLog.pre-xfce-devel NEWS README README.MDK TODO
%doc docs/FAQ docs/SessionFileFormat.txt docs/SplashThemes.txt
%dir %{_sysconfdir}/X11/xfce4/
%config(noreplace) %{_sysconfdir}/X11/xfce4/*
%{_datadir}/xfce4/splash
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/xfce4/mcs-plugins/*
%{_mandir}/man1/*

%changelog
* Fri Dec 26 2003 Marcel Pol <mpol@mandrake.org> 0.1.4-1mdk
- 0.1.4
- requires: usermode-consoleonly
- remove devel file and unused xinitrc script
- include more docs
- don't run xftaskbar4 in default session
- include readme.mdk

* Fri Nov 21 2003 Marcel Pol <mpol@gmx.net> 0.1.3-0.20031119.1mdk
- initial package from Gtz Waschk

